# module TkConsole

### Constants

TkCommandNames

### Public Class Methods

create() click to toggle source

    # File lib/tk/console.rb, line 13
    def self.create
      TkCore::INTERP._create_console
    end

eval(tcl_script) click to toggle source

    # File lib/tk/console.rb, line 27
    def self.eval(tcl_script)
      #
      # supports a Tcl script only
      # I have no idea to support a Ruby script seamlessly.
      #
      _fromUTF8(tk_call_without_enc('console', 'eval',
                                    _get_eval_enc_str(tcl_script)))
    end

hide() click to toggle source

    # File lib/tk/console.rb, line 21
    def self.hide
      tk_call_without_enc('console', 'hide')
    end

maininterp_eval(tcl_script) click to toggle source

    # File lib/tk/console.rb, line 35
    def self.maininterp_eval(tcl_script)
      #
      # supports a Tcl script only
      # I have no idea to support a Ruby script seamlessly.
      #
      _fromUTF8(tk_call_without_enc('consoleinterp', 'eval',
                                    _get_eval_enc_str(tcl_script)))

    end

maininterp_record(tcl_script) click to toggle source

    # File lib/tk/console.rb, line 44
    def self.maininterp_record(tcl_script)
      #
      # supports a Tcl script only
      # I have no idea to support a Ruby script seamlessly.
      #
      _fromUTF8(tk_call_without_enc('consoleinterp', 'record',
                                    _get_eval_enc_str(tcl_script)))

    end

show() click to toggle source

    # File lib/tk/console.rb, line 24
    def self.show
      tk_call_without_enc('console', 'show')
    end

title(str=None) click to toggle source

    # File lib/tk/console.rb, line 18
    def self.title(str=None)
      tk_call 'console', str
    end